import React from "react";
import type { CalendarDay } from "../classes";
import type { Modifiers } from "../types";
/**
 * Render the date as string inside the day grid cell.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export declare function DayDate(props: {
    day: CalendarDay;
    /** The date to display. */
    formattedDate: string;
    /** The modifiers for the day. */
    modifiers: Modifiers;
    /** The HTML attributes for the root element. */
    rootProps: {
        className: string;
        style?: React.CSSProperties;
    };
}): React.JSX.Element;
export type DayDateProps = Parameters<typeof DayDate>[0];
/**
 * @deprecated The component has been renamed. Use `DayDate` instead.
 * @protected
 */
export declare const DayContent: typeof DayDate;
/**
 * @deprecated The type has been renamed. Use `DayDateProps` instead.
 * @protected
 */
export type DayContentProps = DayDateProps;
