"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weekday = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const contexts_1 = require("../contexts");
/**
 * Render the column header with the weekday name (e.g. "Mo", "Tu", etc.).
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Weekday(props) {
    const { classNames, dateLib, formatters: { formatWeekdayName }, labels: { labelWeekday, labelWeekNumberHeader }, locale, hideWeekdayRow, styles } = (0, contexts_1.useProps)();
    return (react_1.default.createElement("span", { role: "columnheader", "aria-colindex": props["aria-colindex"], "aria-label": props.weekday
            ? labelWeekday(props.weekday, { locale }, dateLib)
            : labelWeekNumberHeader({ locale }), className: classNames[UI_1.UI.Weekday], style: styles?.[UI_1.UI.Weekday] }, !hideWeekdayRow &&
        (props.weekday
            ? formatWeekdayName(props.weekday, { locale }, dateLib)
            : "#")));
}
exports.Weekday = Weekday;
//# sourceMappingURL=Weekday.js.map