"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextProviders = void 0;
const react_1 = __importDefault(require("react"));
const selection_1 = require("../selection");
const useCalendar_1 = require("./useCalendar");
const useFocus_1 = require("./useFocus");
const useModifiers_1 = require("./useModifiers");
const useProps_1 = require("./useProps");
function SelectionProviders({ children }) {
    const props = (0, useProps_1.useProps)();
    return (react_1.default.createElement(selection_1.SingleProvider, { ...props },
        react_1.default.createElement(selection_1.MultiProvider, { ...props },
            react_1.default.createElement(selection_1.RangeProvider, { ...props }, children))));
}
/**
 * Provide the value for all the contexts used by DayPicker.
 *
 * @private
 */
function ContextProviders(props) {
    const { children, ...initialProps } = props;
    return (react_1.default.createElement(useProps_1.PropsContextProvider, { initialProps: initialProps },
        react_1.default.createElement(useCalendar_1.CalendarContextProvider, null,
            react_1.default.createElement(SelectionProviders, null,
                react_1.default.createElement(useModifiers_1.ModifiersContextProvider, null,
                    react_1.default.createElement(useFocus_1.FocusContextProvider, null, children))))));
}
exports.ContextProviders = ContextProviders;
//# sourceMappingURL=providers.js.map