"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useProps = exports.PropsContextProvider = void 0;
const react_1 = __importDefault(require("react"));
const customComponents = __importStar(require("../components/custom-components"));
const getDataAttributes_1 = require("../helpers/getDataAttributes");
const getDefaultClassNames_1 = require("../helpers/getDefaultClassNames");
const getFormatters_1 = require("../helpers/getFormatters");
const getStartEndMonths_1 = require("../helpers/getStartEndMonths");
const defaultLabels = __importStar(require("../labels"));
const lib_1 = require("../lib");
const PropsContext = react_1.default.createContext(undefined);
function usePropsContextValue(initialProps) {
    const reactId = react_1.default.useId();
    const { startMonth, endMonth } = (0, getStartEndMonths_1.getStartEndMonths)(initialProps);
    const dateLib = {
        ...lib_1.dateLib,
        ...initialProps.dateLib
    };
    const propsContext = {
        ...initialProps,
        startMonth,
        endMonth,
        classNames: {
            ...(0, getDefaultClassNames_1.getDefaultClassNames)(),
            ...initialProps.classNames
        },
        components: {
            ...customComponents,
            ...initialProps.components
        },
        dataAttributes: (0, getDataAttributes_1.getDataAttributes)(initialProps),
        formatters: (0, getFormatters_1.getFormatters)(initialProps.formatters),
        id: initialProps.id ?? reactId,
        labels: {
            ...defaultLabels,
            ...initialProps.labels
        },
        numberOfMonths: initialProps.numberOfMonths ?? 1,
        today: initialProps.today ?? new dateLib.Date(),
        dateLib
    };
    return propsContext;
}
/**
 * Provide the shared props to the DayPicker components. Must be used as root of
 * the other providers.
 *
 * @private
 */
function PropsContextProvider({ initialProps, children }) {
    const propsContextValue = usePropsContextValue(initialProps);
    return (react_1.default.createElement(PropsContext.Provider, { value: propsContextValue }, children));
}
exports.PropsContextProvider = PropsContextProvider;
/**
 * Access to the props passed to `DayPicker`, with some meaningful defaults.
 *
 * Use this hook from the custom components passed via the `components` prop.
 *
 * @group Hooks
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function useProps() {
    const propsContext = react_1.default.useContext(PropsContext);
    if (!propsContext) {
        throw new Error("usePropsContext() must be used within a PropsContextProvider");
    }
    return propsContext;
}
exports.useProps = useProps;
//# sourceMappingURL=useProps.js.map