"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatMonthDropdown = void 0;
const locales_1 = require("../lib/locales");
/**
 * The default formatter for the month dropdown value.
 *
 * @group Formatters
 */
function formatMonthDropdown(
/** The month number to format. */
monthNumber, 
/** The locale to use for formatting. */
locale = locales_1.enUS) {
    return (locale.localize?.month(monthNumber) ??
        monthNumber.toString());
}
exports.formatMonthDropdown = formatMonthDropdown;
//# sourceMappingURL=formatMonthDropdown.js.map