"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultClassNames = void 0;
const UI_1 = require("../UI");
/**
 * Get the default class names for the UI elements.
 *
 * @group Utilities
 */
function getDefaultClassNames() {
    const classNames = {};
    for (const key in UI_1.UI) {
        classNames[UI_1.UI[key]] =
            `rdp-${UI_1.UI[key]}`;
    }
    for (const key in UI_1.CalendarFlag) {
        classNames[UI_1.CalendarFlag[key]] =
            `rdp-${UI_1.CalendarFlag[key]}`;
    }
    for (const key in UI_1.ChevronFlag) {
        classNames[UI_1.ChevronFlag[key]] =
            `rdp-${UI_1.ChevronFlag[key]}`;
    }
    for (const key in UI_1.WeekNumberFlag) {
        classNames[UI_1.WeekNumberFlag[key]] =
            `rdp-${UI_1.WeekNumberFlag[key]}`;
    }
    for (const key in UI_1.DayFlag) {
        classNames[UI_1.DayFlag[key]] =
            `rdp-${UI_1.DayFlag[key]}`;
    }
    for (const key in UI_1.SelectionState) {
        classNames[UI_1.SelectionState[key]] =
            `rdp-${UI_1.SelectionState[key]}`;
    }
    return classNames;
}
exports.getDefaultClassNames = getDefaultClassNames;
//# sourceMappingURL=getDefaultClassNames.js.map