"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDropdownYears = void 0;
/** Return the years to show in the dropdown. */
function getDropdownYears(displayMonth, props) {
    const { startMonth, endMonth } = props;
    if (!startMonth)
        return undefined;
    if (!endMonth)
        return undefined;
    const { startOfMonth, startOfYear, endOfYear, addYears, isBefore, isSameYear, Date } = props.dateLib;
    const month = displayMonth.getMonth();
    const firstNavYear = startOfYear(startMonth);
    const lastNavYear = endOfYear(endMonth);
    const years = [];
    let year = firstNavYear;
    while (isBefore(year, lastNavYear) || isSameYear(year, lastNavYear)) {
        years.push(year.getFullYear());
        year = addYears(year, 1);
    }
    return years.map((value) => {
        const disabled = (startMonth && new Date(value, month) < startOfMonth(startMonth)) ||
            (month && endMonth && new Date(value, month) > startOfMonth(endMonth)) ||
            false;
        const label = props.formatters.formatYearDropdown(value);
        return {
            value,
            label,
            disabled
        };
    });
}
exports.getDropdownYears = getDropdownYears;
//# sourceMappingURL=getDropdownYears.js.map