import React from "react";
import { Modifiers, PropsSingle } from "../types";
export type SingleContextValue<T> = {
    setSelected: (triggerDate: Date, modifiers: Modifiers, e: React.MouseEvent | React.KeyboardEvent) => void;
    isSelected: (date: Date) => boolean;
} & (T extends {
    required: true;
} ? {
    selected: Date;
} : {
    selected: Date | undefined;
});
/** @private */
export declare function SingleProvider(props: React.PropsWithChildren<PropsSingle>): React.JSX.Element;
/**
 * Access to the single context to get the selected date or update it.
 *
 * Use this hook from the custom components passed via the `components` prop.
 *
 * @group Hooks
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export declare function useSingle(): SingleContextValue<any>;
