import React from "react";
import { MultiProvider, RangeProvider, SingleProvider } from "../selection";
import { CalendarContextProvider } from "./useCalendar";
import { FocusContextProvider } from "./useFocus";
import { ModifiersContextProvider } from "./useModifiers";
import { PropsContextProvider, useProps } from "./useProps";
function SelectionProviders({ children }) {
    const props = useProps();
    return (React.createElement(SingleProvider, { ...props },
        React.createElement(MultiProvider, { ...props },
            React.createElement(RangeProvider, { ...props }, children))));
}
/**
 * Provide the value for all the contexts used by DayPicker.
 *
 * @private
 */
export function ContextProviders(props) {
    const { children, ...initialProps } = props;
    return (React.createElement(PropsContextProvider, { initialProps: initialProps },
        React.createElement(CalendarContextProvider, null,
            React.createElement(SelectionProviders, null,
                React.createElement(ModifiersContextProvider, null,
                    React.createElement(FocusContextProvider, null, children))))));
}
//# sourceMappingURL=providers.js.map