import { PropsContextValue } from "../contexts";
/**
 * Return the next month the user can navigate to according to the given
 * options.
 *
 * Please note that the next month is not always the next calendar month:
 *
 * - If after the `endMonth` range, is `undefined`;
 * - If the navigation is paged , is the number of months displayed ahead.
 */
export declare function getNextMonth(firstDisplayedMonth: Date, props: Pick<PropsContextValue, "startMonth" | "endMonth" | "numberOfMonths" | "pagedNavigation" | "disableNavigation" | "dateLib">): Date | undefined;
