import type { PropsContextValue } from "../contexts";
/**
 * Return the next previous the user can navigate to, according to the given
 * options.
 *
 * Please note that the previous month is not always the previous calendar
 * month:
 *
 * - If before the `startMonth` date, is `undefined`;
 * - If the navigation is paged, is the number of months displayed before.
 */
export declare function getPreviousMonth(firstDisplayedMonth: Date, props: Pick<PropsContextValue, "startMonth" | "numberOfMonths" | "pagedNavigation" | "disableNavigation" | "dateLib">): Date | undefined;
