import { dateLib as defaultDateLib } from "../lib";
import type { FormatOptions } from "../lib/dateLib";
import type { DateLib } from "../types";

/**
 * Return he default ARIA label for the Weekday element.
 *
 * @group Labels
 */
export function labelWeekday(
  date: Date,
  options?: FormatOptions,
  dateLib: DateLib = defaultDateLib
): string {
  return dateLib.format(date, "cccc", options);
}
